import { EventEmitter, ViewContainerRef, OnDestroy, NgZone } from '@angular/core';
import { OverlayRef, Overlay } from '@angular/cdk/overlay';
import { Directionality } from '@angular/cdk/bidi';
import { DatepickerInputDirective } from '../datepicker-input/datepicker-input.directive';
export declare class DatepickerComponent implements OnDestroy {
    private _ngZone;
    private _overlay;
    private _viewContainerRef;
    private _scrollStrategy;
    private _dir;
    dateUpdated: EventEmitter<Date>;
    _popupRef: OverlayRef;
    private readonly ESC_KEY_CODE;
    private selectedDate;
    private _calendarPortal;
    private _popupComponentRef;
    private _datepickerInput;
    constructor(_ngZone: NgZone, _overlay: Overlay, _viewContainerRef: ViewContainerRef, _scrollStrategy: any, _dir: Directionality);
    ngOnDestroy(): void;
    onNewDateSelected(newDate: Date): void;
    registerInput(input: DatepickerInputDirective): void;
    openPopup(): void;
    private _closePopup();
    private _createPopup();
    private _createPopupPositionStrategy();
}
